# Quarto Experiment

## How to build demo `quarto.qmd`

1. Build `conda` environment from `environment.yml`.
1. Run `quarto render`. This should be very fast.

## How to create PDF

### Setup

1. Install `npm`.
1. `npm install -g decktape` for global install.

### Repeat

1. `decktape reveal _output/quarto.html _output/quarto.pdf --screenshots-size=1280x720 --fragments=disable` or any other size in px. This takes awhile.

## How to use Shiny

1. Install `R`: <https://www.r-project.org/>
1. Open RGui or use the R REPL at the terminal.
1. `install.packages("rmarkdown")`
1. `install.packages("reticulate")`
1. `install.packages("shiny")`
1. Any other packages you need for the code you're using. This example repo needs the following.
   - `install.packages("ggplot2")`
1. Use `quarto serve shiny.rmd` to run the Shiny example.
    - Theming currently does not work

### VSCode Integration

1. Install R extension `REditorSupport.r`
1. Open RGui or use the R REPL at the terminal.
1. `install.packages("languageserver")` for linting, formatting, etc.
1. `install.packages("httpgd")` for plotting.

## TODO

- [ ] Finish syntax highlighting.
    - [x] Python (I think)
    - [ ] R
    - [ ] Markdown
    - [ ] ??
- [ ] .prettierrc file from Revealjs template repo
    - [ ] CSS
- [ ] Markdown formatting config from docs repo
